## yak-kudzu 0.99.88jp-2

=== Makefile ===
VERSION=$(shell awk '/Version:/ { print $$2 }' kudzu.spec)

CFLAGS= $(RPM_OPT_FLAGS) -Wall -D_GNU_SOURCE -g
LDFLAGS = 

prefix=$(DESTDIR)/usr
sysconfdir=$(DESTDIR)/etc
bindir=$(prefix)/bin
sbindir=$(prefix)/sbin
datadir=$(prefix)/share
mandir=$(datadir)/man
includedir=$(prefix)/include
libdir=$(prefix)/lib

CVSROOT = $(shell cat CVS/Root 2>/dev/null || :)

CVSTAG = kudzu-r$(subst .,-,$(VERSION))

PYTHONVERS = $(shell ls -d /usr/include/python* | sed "s|/usr/include/||g")

CFLAGS += -DVERSION=\"$(VERSION)\"

ARCH := $(patsubst sparc64,sparc,$(patsubst i%86,i386,$(shell uname -m)))

VBELIBS=
VBEOBJS=
ifeq (i386,$(ARCH))
VBELIBS=vbe
VBEOBJS=./ddcprobe/lrmi.o ./ddcprobe/vesamode.o ./ddcprobe/vbe.o
endif

all: $(VBELIBS) libkudzu.a libkudzu_loader.a _kudzumodule.so kudzu updfstab  module_upgrade

AR = ar
RANLIB = ranlib

HEADERS = device.h ddc.h firewire.h ide.h isapnp.h keyboard.h kudzu.h misc.h modules.h parallel.h pci.h \
	    	psaux.h usb.h sbus.h scsi.h serial.h
OBJS = kudzu.o modules.o pci.o serial.o ide.o misc.o scsi.o parallel.o psaux.o usb.o sbus.o keyboard.o ddc.o pciserial.o isapnp.o firewire.o
LOADEROBJ = kudzu_loader.o misc.o pci.o scsi.o ide.o usb.o firewire.o
ifeq (sparc,$(ARCH))
LOADEROBJ += sbus.o
endif

DIET = diet
ifeq (i386,$(ARCH))
LOADEROBJS = $(patsubst %.o,%.do,$(LOADEROBJ))
else
LOADEROBJS = $(LOADEROBJ)
endif

KUDOBJS = hwconf.o 

%.o: %.c %.h
	$(CC) -c $(CFLAGS) -fpic -o $@ $<

%.do: %.c
	$(DIET) $(CC) -c $(CFLAGS) -fpic -o $@ $<

vbe:
	( cd ddcprobe ; make libvbe.a CFLAGS="$(RPM_OPT_FLAGS)" )

kudzu_loader.o: kudzu.c
	$(CC) -c $(CFLAGS) -D__LOADER__ -o $@ $<

kudzu_loader.do: kudzu.c
	$(DIET) $(CC) -c $(CFLAGS) -D__LOADER__ -o $@ $<

libkudzu_loader.a: $(LOADEROBJS)
	$(AR) cr libkudzu_loader.a $(LOADEROBJS)
	$(RANLIB) libkudzu_loader.a

libkudzu.a: $(OBJS) $(VBEOBJS)
	$(AR) cr libkudzu.a $(OBJS) $(VBEOBJS)
	$(RANLIB) libkudzu.a

ktest: libkudzu.a ktest.c
	$(CC) $(CFLAGS) $(LDFLAGS) ktest.c -o ktest libkudzu.a -lpci

ktest_loader: libkudzu_loader.a ktest_loader.c
	$(CC) $(CFLAGS) $(LDFLAGS) ktest_loader.c -o ktest_loader -L. -lkudzu_loader -lpci

kudzu: libkudzu.a $(KUDOBJS) po
	$(CC) $(CFLAGS) $(LDFLAGS) $(KUDOBJS) -o kudzu -L. -lkudzu -L. -lpci -lnewt -lpopt

updfstab: libkudzu.a updfstab.o po
	$(CC) $(CFLAGS) $(LDFLAGS) updfstab.o -o updfstab -L. -lkudzu -lpci -lpopt

module_upgrade: libkudzu.a module_upgrade.c
	$(CC) $(CFLAGS) $(LDFLAGS) module_upgrade.c -o module_upgrade -L. -lkudzu -lpci

_kudzumodule.so: libkudzu.a
	for ver in $(PYTHONVERS) ; do \
		if [ ! -f "$$ver/_kudzumodule.so" -o libkudzu.a -nt "$$ver/_kudzumodule.so" ]; then \
			mkdir -p $$ver ;\
			$(CC) $(CFLAGS) -I/usr/include/$$ver -fpic -c -o $$ver/kudzumodule.o kudzumodule.c ;\
	        	$(CC) -o $$ver/_kudzumodule.so $$ver/kudzumodule.o -shared -Wl,-soname,_kudzumodule.so -L. -lkudzu -lpci ;\
		fi ; \
	done

po:	dummy
	make -C po

installdata:
	[ -d $(sysconfdir) ] || install -m 755 -d $(sysconfdir)
	install -m 644 updfstab.conf $(sysconfdir)/updfstab.conf
	install -m 644 updfstab.conf.default $(sysconfdir)/updfstab.conf.default

install-program: kudzu module_upgrade updfstab
	install -m 755 -d $(sbindir)
	install -m 755 -d $(mandir)/man8
	install -m 755 kudzu $(sbindir)/kudzu
	install -m 755 updfstab $(sbindir)/updfstab
	install -m 755 -d $(mandir)/man8
	install -m 644 updfstab.8 $(mandir)/man8/updfstab.8
	install -m 755 module_upgrade $(sbindir)/module_upgrade
	install -m 755 -d $(sysconfdir)/rc.d/init.d
	install -m 755 -d $(sysconfdir)/sysconfig
	install -m 644 kudzu.8 $(mandir)/man8/kudzu.8
	install -m 644 module_upgrade.8 $(mandir)/man8/module_upgrade.8
	install -m 644 updfstab.8 $(mandir)/man8/updfstab.8
	install -m 755 kudzu.init $(sysconfdir)/rc.d/init.d/kudzu
	install -m 644 kudzu.sysconfig $(sysconfdir)/sysconfig/kudzu
	install -m 755 -d $(libdir)
	install -m 644 libkudzu.a $(libdir)/libkudzu.a
	install -m 644 libkudzu_loader.a $(libdir)/libkudzu_loader.a
	install -m 755 -d $(includedir)/kudzu
	for header in $(HEADERS) ; do \
		install -m 644 $$header $(includedir)/kudzu/$$header ; \
	done
	make -C po instroot=$(prefix) install

install: installdata _kudzumodule.so
	for ver in $(PYTHONVERS) ; do \
	 mkdir -p $(libdir)/$$ver/site-packages ; \
	 install -m 755 $$ver/_kudzumodule.so $(libdir)/$$ver/site-packages ;\
	 install -m 644 kudzu.py $(libdir)/$$ver/site-packages ;\
	 if [ $$ver = "python1.5" ]; then \
	   python -c 'from compileall import *; compile_dir("'$$DESTDIR'/usr/lib/'$$ver'",10,"/usr/lib/'$$ver'")'  || :;\
	 else \
	   python2 -c 'from compileall import *; compile_dir("'$$DESTDIR'/usr/lib/'$$ver'",10,"/usr/lib/'$$ver'")' || python -c 'from compileall import *; compile_dir("'$$DESTDIR'/usr/lib/'$$ver'",10,"/usr/lib/'$$ver'")' ; \
	 fi ;\
	done

tag-archive:
	@cvs -Q tag -F $(CVSTAG)

create-archive:
	@rm -rf /tmp/kudzu
	@cd /tmp ; cvs -Q -d $(CVSROOT) export -r$(CVSTAG) kudzu || echo "Um... export aborted."
	@mv /tmp/kudzu /tmp/kudzu-$(VERSION)
	@cd /tmp ; tar -czSpf kudzu-$(VERSION).tar.gz kudzu-$(VERSION)
	@rm -rf /tmp/kudzu-$(VERSION)
	@cp /tmp/kudzu-$(VERSION).tar.gz .
	@rm -f /tmp/kudzu-$(VERSION).tar.gz
	@echo ""
	@echo "The final archive is in kudzu-$(VERSION).tar.gz"

archive: clean tag-archive create-archive

clean:
	rm -f *.o *.do *.so *.pyc updfstab kudzu ktest ktest_loader modules module_upgrade *.a core *~ *.tar.gz
	rm -rf python*
	( cd ddcprobe ; make clean )
	( cd po ; make clean )

dummy:

=== debian/changelog ===
yak-kudzu (0.99.88jp-2) unstable; urgency=medium

  * Fix packaging miss(no actual modules installed...sigh)

 -- Masaharu 'Max' Goto <magotou@users.sourceforge.jp>  Mon, 20 Jan 2003 23:11:00 +0900

yak-kudzu (0.99.88jp-1) unstable; urgency=medium

  * new upstream version from 2003-01-16 for yak-kudzu

 -- Masaharu 'Max' Goto <magotou@users.sourceforge.jp>  Sun, 19 Jan 2003 05:30:00 +0900

kudzu (0.99.50-1) unstable; urgency=medium

  * new upstream version from 2002-04-08

 -- Noel Koethe <noel@debian.org>  Tue, 23 Apr 2002 13:15:00 +0200

kudzu (0.99.49-1) unstable; urgency=low

  * new upstream version from 2002-03-03
    (closes: Bug#133549)
  * upstream splitted the kudzu package into kudzu and hwdata
    (http://packages.debian.org/hwdata)
  * added upstream changelog entries from .spec to Debian
    package
  * added kudzu homepage (http://rhlinux.redhat.com/kudzu/)
    to copyright and the description in control
  * change description to the orginal description from
    redhat.

 -- Noel Koethe <noel@debian.org>  Tue, 12 Feb 2002 13:50:00 +0100

kudzu (0.99.45-1) unstable; urgency=low

  * new upstream version from 2002-01-16
    (closes: Bug#129043)
    (closes: Bug#129695)
  * upstream corrected my following reported bug
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56527
  * upstream corrected pci.c so that the knoppix patch
    isn't needed anymore
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56773
  * updated mandrake pcitable to version 1.96 from
    http://www.linux-mandrake.com/cgi-bin/cvsweb.cgi/soft/ldetect-lst/lst/pcitable

 -- Noel Koethe <noel@debian.org>  Thu, 17 Jan 2002 17:15:00 +0100

kudzu (0.99.40-7) unstable; urgency=low

  * fixed error when copying pcitable.
    It was named pcitable-merge instead of pcitable
    (closes: Bug#127429)

 -- Noel Koethe <noel@debian.org>  Sat,  5 Jan 2002 19:59:00 +0100

kudzu (0.99.40-6) unstable; urgency=low

  * kudzu ddcprobe bins only works on i386
    I set the arch to only i386. Maybe I will move the ddcprobe
    binaries to an extra package

 -- Noel Koethe <noel@debian.org>  Mon, 24 Dec 2001 20:00:00 +0100

kudzu (0.99.40-5) unstable; urgency=low

  * corrected archs where kudzu makes sense
    (closes: Bug#121618)
  * added missing programms from ddcprobe directory

 -- Noel Koethe <noel@debian.org>  Fri, 22 Dec 2001 13:44:00 +0100

kudzu (0.99.40-4) unstable; urgency=low

  * add missing directory /etc/sysconfig where kudzu
    places its configuration files
    (closes: Bug#125896)
  * merge the pcitable of redhat and mandrake together and
    put this into kudzu-common
  * corrected debian/control to get a correct handling
    when switch between kudzu-common and kudzu-common-knoppix

 -- Noel Koethe <noel@debian.org>  Thu, 20 Dec 2001 14:44:00 +0100

kudzu (0.99.40-3) unstable; urgency=low

  * corrected minor spelling error in debian/controll
    (closes: Bug#124851)

 -- Noel Koethe <noel@debian.org>  Mon, 17 Dec 2001 23:56:01 +0100

kudzu (0.99.40-2) unstable; urgency=low

  * to have a datafile from redhat or mandrake doesn't make sense
    because we only want hardware detection and it doesn't interest
    us which hardware db we use.
    I will merge the redhat and mandrake and filter the entries which
    are twice in the list.
    There is a kudzu-common-knoppix which have so special changes
    for the knoppix live cd (www.knoppix.de)
  * added a missing -fpic in Makefile which should repair #121618
    (will close the bug if it really works)

 -- Noel Koethe <noel@debian.org>  Sun, 16 Dec 2001 17:43:00 +0100

kudzu (0.99.40-1) unstable; urgency=low

  * new upstream version from:
    ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/
  * moved -common to -data and provides now the original
    redhat hardware db (kudzu-data), the mandrake hardware db
    (kudzu-data-mandrake) and the mandrake hardware db with
    special changes for knoppix (kudzu-data-knoppix)
  * fixed some spelling and grammar erros
    (closes: Bug#122385)
    (closes: Bug#122386)

 -- Noel Koethe <noel@koethe.net>  Sun, 09 Dec 2001 23:30:00 +0100

kudzu (0.99.23-1) unstable; urgency=low

  * took package from Klaus Knopper
  * new version (0.99.23-1)
  * switch from debian native to .orig and .diff
  * splitted into kudzu, -common, -dev
  * (closes: Bug#120505)

 -- Noel Koethe <noel@koethe.net>  Tue, 20 Nov 2001 15:45:00 +0100

kudzu (0.99.2-2) unstable; urgency=low

  * pcitable updates.

 -- Klaus Knopper <knopper@knopper.net>  Thu, 17 Aug 2001 21:35:51 +0200

kudzu (0.99.2-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <knopper@knopper.net>  Thu, 31 May 2001 23:04:20 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: yak-kudzu
Section: misc
Priority: optional
Maintainer: Masaharu 'Max' Goto <magotou@users.sourceforge.jp>
Build-Depends: debhelper (>> 3.0.0), pciutils-dev, python-dev, libnewt-dev, libpopt-dev, gettext, perl
Standards-Version: 3.5.2

Package: yak-kudzu
Replaces: kudzu
Conflicts: kudzu
Provides: kudzu
Architecture: i386
Depends: ${shlibs:Depends}, hwdata, python
Description: The Red Hat Linux hardware probing tool.
 This is a hardware probing tool run at system boot time to determine
 what hardware has been added or removed from the system.
 .
 http://rhlinux.redhat.com/kudzu/

Package: yak-kudzu-dev
Replaces: kudzu-dev
Provides: kudzu-dev
Conflicts: kudzu-dev
Section: devel
Architecture: i386
Depends: ${shlibs:Depends}, hwdata, kudzu
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains the header files and the staticlibs.

Package: yak-kudzu-vesa
Section: devel
Replaces: kudzu-vesa
Provides: kudzu-vesa
Conflicts: kudzu-vesa
Architecture: i386
Depends: ${shlibs:Depends}, hwdata, kudzu
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains VBE/DDC stuff.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

ARCH ?= $(shell dpkg --print-architecture)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd ddcprobe && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/kudzu.

	# kudzu
	mkdir -p $(CURDIR)/debian/yak-kudzu/usr/lib/python2.1/site-packages/
	cp python2.1/_kudzumodule.so $(CURDIR)/debian/yak-kudzu/usr/lib/python2.1/site-packages/
	cp kudzu.py $(CURDIR)/debian/yak-kudzu/usr/lib/python2.1/site-packages/
	mkdir -p $(CURDIR)/debian/yak-kudzu/usr/share/locale/kudzu/LC_MESSAGES/
	cp po/*.mo $(CURDIR)/debian/yak-kudzu/usr/share/locale/kudzu/LC_MESSAGES/
	mkdir -p $(CURDIR)/debian/yak-kudzu/usr/sbin/
	cp kudzu $(CURDIR)/debian/yak-kudzu/usr/sbin/
	cp updfstab $(CURDIR)/debian/yak-kudzu/usr/sbin/
	cp module_upgrade $(CURDIR)/debian/yak-kudzu/usr/sbin/
	mkdir -p $(CURDIR)/debian/yak-kudzu/usr/share/man/man8/
	cp *.8 $(CURDIR)/debian/yak-kudzu/usr/share/man/man8/

	# kudzu-vesa
	mkdir -p $(CURDIR)/debian/yak-kudzu-vesa/usr/sbin/
	cp ddcprobe/ddcprobe $(CURDIR)/debian/yak-kudzu-vesa/usr/sbin/
	cp ddcprobe/ddcxinfo $(CURDIR)/debian/yak-kudzu-vesa/usr/sbin/
	cp ddcprobe/modetest $(CURDIR)/debian/yak-kudzu-vesa/usr/sbin/
	cp ddcprobe/svgamodes $(CURDIR)/debian/yak-kudzu-vesa/usr/sbin/

	# kudzu-dev
	mkdir -p $(CURDIR)/debian/yak-kudzu-dev/usr/include/kudzu/
	cp *.h $(CURDIR)/debian/yak-kudzu-dev/usr/include/kudzu/
	mkdir -p $(CURDIR)/debian/yak-kudzu-dev/usr/lib/
	cp libkudzu.a $(CURDIR)/debian/yak-kudzu-dev/usr/lib/
	cp libkudzu_loader.a $(CURDIR)/debian/yak-kudzu-dev/usr/lib/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
